<!-- Calls for header.php -->
<h1>Sesión psicoeducativa para TDAH</h1>
		<div class="full-cont">
			<h2>¿QUÉ ES EL TRASTORNO POR  DÉFICIT DE ATENCIÓN E HIPERACTIVIDAD O TDAH?</h2>
			<p>Es un trastorno neurobiológico que se presenta  entre un 5 y 10% de la población infantil y que en la mayoría de los casos permanece hasta  la edad adulta. Se caracteriza porque es difícil mantenerse quieto, concentrarse, poner atención, pensar antes de actuar y terminar lo que se ha empezado, entre otras manifestaciones. Los  síntomas  se presentan de forma diferente en cada persona y según la edad.</p>

			<p>Algunos niños son hiperactivos, con problemas para controlar sus impulsos, esperar y tener paciencia, otros no logran fijar la atención en lo importante y se distraen  fácilmente. Todo esto afecta el desempeño, las relaciones familiares, con amigos y maestros y por lo tanto, la autoestima.</p>

			<img src="<?php echo base_url();?>images/tdah/01.jpg" alt="">

			<p>El TDAH puede dificultar el aprovechamiento escolar y se vuelve complicado controlar el comportamiento tanto en casa como en la escuela.</p>

			<p>La buena noticia es que se puede tratar y los resultados son alentadores. Los médicos especialistas (psiquiatras y neurólogos) y los psicólogos pueden ayudar, especialmente si se atiende pronto.</p>
			
			<h2>¿QUIÉN PUEDE DESARROLLAR TDAH? </h2>
			<p>Cualquier persona puede tener TDAH,  frecuentemente  lo detectamos  en los  niños y adolescentes, pero hay adultos que lo tienen desde su infancia. Es más frecuente en varones. En ellos predomina el subtipo hiperactivo/impulsivo y en las mujeres el subtipo inatento.</p>
			<img src="<?php echo base_url();?>images/tdah/04.png" alt="">

			<h2>¿CUÁLES SON LA CAUSAS?</h2>
			<p>No se sabe con  exactitud.  Pero existe una tendencia familiar, es decir,  hay causas genético-hereditarias.  Influyen también factores ambientales y otros,  como el fumar y beber alcohol durante el embarazo, así como presentar algún daño cerebral.</p>

			<h2>¿QUÉ SITUACIONES  HACEN SOSPECHAR QUE SE TIENE TDAH?</h2>

			<p>Depende de la edad, en la infancia y adolescencia puede ser:</p>
			<ul>
				<li>Inquietud,  moverse constantemente.</li>
				<li>Levantarse cuando debería estar sentado.</li>
				<li>Correr y saltar en situaciones inapropiadas.</li>
				<li>Hablar  mucho.</li>
				<li>Hablar y actuar antes de pensar.</li>
				<li>Hacer comentarios inadecuados.</li>
				<li>Dificultad para esperar.</li>
				<li>Interrumpir constantemente.</li>
				<li>Querer  tocar y jugar con todo.</li>
				<li>Impulsividad, perder fácil el control de las emociones.</li>
				<li>Tomar decisiones precipitadas.</li>
				<li>No medir el peligro.</li>
				<li>Involucrarse en conductas de riesgo.</li>
				<li>No atender los detalles y cometer errores.</li>
				<li>Dificultad para mantener la atención en lo que se está haciendo.</li>
				<li>Cambiar  frecuentemente de una actividad o conversación a otra.</li>
				<li>Fracasar en la escuela aunque sea inteligente.</li>
				<li>No seguir instrucciones.</li>
				<li>Dificultad para organizarse en el juego o en el trabajo.</li>
				<li>Distraerse fácilmente con estímulos  irrelevantes.</li>
				<li>Olvidar  y perder cosas frecuentemente.</li>
				<li>Soñar despiertos o fantasear demasiado.</li>
				<li>Contestar un examen sin fijarse en las instrucciones.</li>
				<li>Olvidar citas o compromisos.</li>
			</ul>
			<img src="<?php echo base_url();?>images/tdah/02.jpg" alt="">

			<h2>¿CÓMO SE SI TENGO TDAH?</h2>
			<p>Si presentas algunos de los síntomas o conductas mencionados y esto afecta tu rendimiento y tu socialización, debes ir con un especialista de la salud mental: un  psiquiatra quien trabajará en conjunto con el psicólogo y la psicopedagoga, ellos pueden hacer el diagnóstico y ayudarte.</p>

			<p>No existe una prueba o estudio que  determine si se tiene TDAH. Se necesita tiempo para observar  y evaluar clínicamente al paciente, ver si se padece  o no otros problemas. Se recomienda hablar con los padres, familiares, maestros o amigos para obtener más información. Hacer una historia clínica completa y detallada.</p>

			<p>El especialista determinará el tipo de TDAH que presenta el paciente de acuerdo a las principales manifestaciones y además podrá  atender o prevenir la aparición de otros trastornos y complicaciones.</p>
			<img src="<?php echo base_url();?>images/tdah/03.jpg" alt="">
			
			<h2>¿CUÁL ES EL TRATAMIENTO?</h2>
			<p>Es  diferente para cada persona en función de sus dificultades y de cómo afecta  su vida cotidiana.   Debe ser integral e incluir todas las  áreas:</p>
			<ol>
				<li><b>Intervenciones Psicológicas:</b> La psicoterapia  conductual  ayuda a controlar el comportamiento y  mejorar el desempeño.  Se busca madurar la capacidad de autocontrol, desarrollar pensamiento reflexivo, aprender a planear y organizar sus cosas antes de actuar. Mejorar la autoestima. También puede necesitar apoyo psicopedagógico.</li>
				<li>Es necesario <b>orientar a los padres y maestros</b> sobre el TDAH y  su  manejo.   Ellos deben informarse y desarrollar estrategias para enfrentar el trastorno,  procurar la  sana convivencia e impulsar el desarrollo de la persona.</li>
				<li>Cuando los <b>medicamentos</b>  son seleccionados  e indicados por un especialista,  mejoran la funcionalidad del paciente y facilitan el éxito de las terapias psicológicas y los esfuerzos de padres y maestros.</li>
				<li>Tener una <b>vida bien estructurada, con reglas claras y  disciplina.</b> 
				Se recomienda a los padres y maestros  que  den  orientación y comprensión al paciente, ayudarle mejorando las  estrategias de control de comportamientos inadecuados sin dañar su autoestima, tanto en  la casa como en el aula.  Establecer reglas claras y rutinas que le  ayuden a organizarse además de vigilar la ingesta correcta de medicamento.</li>
				<li><b>Prevenir consecuencias</b> en todos los ámbitos.</li>
			</ol>
			<img src="<?php echo base_url();?>images/tdah/05.png" alt="">
			
			<h2>¿POR QUÉ ES IMPORTANTE LA DETECCIÓN TEMPRANA?</h2>
			<p>Si no se detecta y atiende el TDAH lo más pronto posible,  aumenta el riesgo de desarrollar trastorno oposicionista desafiante, trastorno antisocial de la personalidad, tic's, trastornos afectivos como  depresión o  ansiedad, abuso de sustancias como alcohol, tabaco y otras drogas, trastornos del sueño,  accidentes y lesiones, problemas de aprendizaje que pueden llevar al fracaso escolar, entre otras muchas complicaciones y dificultades en la vida.</p>

			<h2>¿TODOS LOS PACIENTES NECESITARÁN MEDICAMENTOS? ¿LOS MEDICAMENTOS ME CREARÁN ADICCIÓN?</h2>
			<p>Si necesitas medicamentos lo decidirá el médico especialista (psiquiatra) después de hacer una valoración clínica completa. Te informará a ti y a tus padres de la forma en que actúa la medicina en tu cerebro y de cómo NO te hace adicto. Existen muchos estudios científicos que demuestran lo opuesto: si tu tomas medicina para el TDAH te proteges de caer en el consumo de drogas y muchas personas jóvenes y adultas que consumen drogas tienen un TDAH desde la infancia que no fue diagnosticado y tratado a tiempo.</p>
			<img src="<?php echo base_url();?>images/tdah/06.png" alt="">

			<p><b>Ahora ya estás bien informado, si crees que necesitas ayuda, acércate con algún profesional, puede ser un médico general, un psicólogo o un médico psiquiatra.  En el Instituto Temazcalli de San Luis Potosí te queremos ayudar, pide hablar con una Trabajadora Social y dile lo que te pasa. Nuestros teléfonos son 812 61 96 y 8 14 76 80, de lunes a viernes, de 8:00 hrs a 20 hrs.</b></p>
			
			<label>Ahora solo falta que demuestres lo aprendido, continúa contestando un sencillo cuestionario</label><br><br>
			<a href="<?php echo base_url();?>index.php/usuario/cuestionario_snap" class="form-submit">CONTINUAR A CUESTIONARIO</a>
		</div>
	</div><!-- closes content from header.php -->
</div><!-- closes wrapper from header.php -->
<!-- Calls for footer.php -->